Amplified attentionAI API (1.0.0)
Download OpenAPI specification:Download
Add a new creative.
Add a new creative.
Request Body schema:
Create a new creative
| downloadableUrl required | string A public URL where the creative file can be accessed and downloaded if applicable. |
| webhookUrl required | string A URL provided by the user to receive asynchronous notifications about the creative processing status and results. |
Responses
Request samples
- Payload
{- "downloadableUrl": "test.mp4",
}Response samples
- 200
- default
{- "id": "550e8400-e29b-41d4-a716-446655440000",
- "fileName": "test.mp4",
- "fileSource": "external_downloadable_link",
- "downloadableUrl": "test.mp4",
- "fileSize": 10,
- "adLength": 6,
- "aspectRatio": 969,
- "status": "uploaded",
- "createdAt": "string",
- "updatedAt": "string"
}Get all creatives
Returns all registered creative assets and their metadata for easy tracking and management.
Responses
Response samples
- 200
- default
[- {
- "id": "550e8400-e29b-41d4-a716-446655440000",
- "fileName": "test.mp4",
- "fileSource": "external_downloadable_link",
- "downloadableUrl": "test.mp4",
- "fileSize": 10,
- "adLength": 6,
- "aspectRatio": 969,
- "status": "uploaded",
- "createdAt": "string",
- "updatedAt": "string"
}
]Find creative by ID.
Retrieves metadata for a specific creative using its creativeId.
path Parameters
| creativeId required | string ID of creative to return |
Responses
Response samples
- 200
- default
{- "id": "550e8400-e29b-41d4-a716-446655440000",
- "fileName": "test.mp4",
- "fileSource": "external_downloadable_link",
- "downloadableUrl": "test.mp4",
- "fileSize": 10,
- "adLength": 6,
- "aspectRatio": 969,
- "status": "uploaded",
- "createdAt": "string",
- "updatedAt": "string"
}Create a creative by uploading a file
Creates a new creative by uploading a video file directly (mp4 or mov, ≤5MB) with optional targeting details for prediction jobs.
Request Body schema:
| webhookUrl required | string A URL provided by the user to receive asynchronous notifications about the creative processing status and results. |
Responses
Request samples
- Payload
{
}Response samples
- 200
- default
{- "code": 0,
- "type": "string",
- "message": "string"
}Get synthetic audience data by creativeId.
Returns synthetic audience data.
path Parameters
| creativeId required | string ID of creative to return |
Responses
Response samples
- 200
- default
{- "creative": {
- "id": "550e8400-e29b-41d4-a716-446655440000",
- "fileName": "test.mp4",
- "fileSource": "external_downloadable_link",
- "downloadableUrl": "test.mp4",
- "fileSize": 10,
- "adLength": 6,
- "aspectRatio": 969,
- "status": "uploaded",
- "createdAt": "string",
- "updatedAt": "string"
}, - "syntheticData": [
- {
- "targeting": {
- "channel": "facebook",
- "format": "story",
- "skippable": true,
- "formatName": "pre-roll non-skippable",
- "deviceType": "tv",
- "ageGroup": "18-24",
- "gender": "male"
}, - "metrics": {
- "creativeAttentionScore": 53.18,
- "benchmarkCreativeAttentionScore": 45.67,
- "avgActiveSec": 4.7272727272727275,
- "avgPassiveSec": 0.20454545454545456,
- "avgInactiveSec": 55.06818181818182,
- "activePercentageAdLength": 0.0787878787878788,
- "hookIndex": 53.18,
- "holdIndex": 53.18,
- "creativeBenchmarkIndex": 53.18,
- "audienceSecondThreeProportion": 53.18,
- "brandedMomentReachProportion": 53.18,
- "endRetentionProportion": 53.18,
- "audienceAdvantage": 53.18,
- "activePassiveShare": 53.18
}, - "timeSeries": {
- "attentionDecay": {
- "active": [
- 90.9090909090909
], - "passive": [
- 4.545454545454546
], - "inactive": [
- 4.545454545454546
]
}, - "attentionDecayBenchmark": {
- "active": [
- 89
], - "passive": [
- 6
], - "inactive": [
- 5
]
}
}
}
]
}Find Webhook notifications by creative ID.
Returns a list of notifications.
path Parameters
| creativeId required | string ID of creative to return |
Responses
Response samples
- 200
- default
[- {
- "creativeId": "550e8400-e29b-41d4-a716-446655445555",
- "event": "creative_status_update",
- "status": "prediction_result_ready",
- "message": "creative is downloaded",
- "timestamp": 0
}
]Response samples
- 200
- default
[- {
- "serviceId": "550e8400-e29b-41d4-a716-446655445555",
- "serviceName": "synthetic_audience",
- "period": {
- "start": "2026-03-01T00:00:00Z",
- "end": "2026-03-31T23:59:59Z",
- "granularity": "monthly"
}, - "usage": {
- "used": 300,
- "limit": 400,
- "remaining": -100,
- "overage": 0,
- "unit": "files",
- "resetAt": "2026-04-01T00:00:00Z"
}
}
]